com.atid.lib.transport.types

## Enum ConnectType

- java.lang.Object
- - java.lang.Enum<ConnectType>
  - - com.atid.lib.transport.types.ConnectType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ConnectType>

      public enum ConnectType
      extends java.lang.Enum<ConnectType>
      implements IEnumType

  The ConnectType enumeration indicates which communication method the ATransport instance uses in its connection with the appliance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Bluetooth`
    `BluetoothLe`
    `UART`
    `Unknown`
    `USB`
    `Wifi`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static ConnectType` | `valueOf(int code)`
    `static ConnectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final ConnectType Unknown

    - #### Bluetooth

          public static final ConnectType Bluetooth

    - #### BluetoothLe

          public static final ConnectType BluetoothLe

    - #### Wifi

          public static final ConnectType Wifi

    - #### USB

          public static final ConnectType USB

    - #### UART

          public static final ConnectType UART

  - ### Method Detail

    - #### values

          public static ConnectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectType c : ConnectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ConnectType>`

    - #### valueOf

          public static ConnectType valueOf(int code)